summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael Olbrich <m.olbrich@pengutronix.de>2021-07-22 16:57:09 +0200
committerMichael Olbrich <m.olbrich@pengutronix.de>2021-07-22 17:16:16 +0200
commite40e1ecc724699533d2a953bb098fd9d94e2466f (patch)
treee4e9aa08f65f99dae9bb4a1051d45305696a595b
parent7945c97d5a83c30570c9dfe9a9443be6fda4de5e (diff)
downloadptxdist-e40e1ecc724699533d2a953bb098fd9d94e2466f.tar.gz
ptxdist-e40e1ecc724699533d2a953bb098fd9d94e2466f.tar.xz
ptxd_install_setup_src: don't create dependencies for filenames that contain a ':'
If the filename contains a ':' then make gets confused. This results in errors like this: .../platform-xxx/state/foo.deps:1: *** target pattern contains no '%'. Stop. Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
-rw-r--r--scripts/lib/ptxd_make_xpkg_pkg.sh16
1 files changed, 10 insertions, 6 deletions
diff --git a/scripts/lib/ptxd_make_xpkg_pkg.sh b/scripts/lib/ptxd_make_xpkg_pkg.sh
index 70e62c6d8..70e1bfb8c 100644
--- a/scripts/lib/ptxd_make_xpkg_pkg.sh
+++ b/scripts/lib/ptxd_make_xpkg_pkg.sh
@@ -229,13 +229,17 @@ ptxd_install_setup_src() {
# We depend on the first available file, which is the one that will
# be used. If one with a higher priority is created, the dependency
# will cause the package to be recreated.
+ # Make cannot handle filenames that contain a ':'. So don't generate
+ # dependecies for those files.
local deprule=""
- for src in "${list[@]}"; do
- # don't provide dependencies for files in PTXDIST_PLATFORMDIR.
- if [ "${src}" == "${src#${PTXDIST_PLATFORMDIR}}" -a -n "${src}" ]; then
- deprule="${deprule} ${src}"
- fi
- done
+ if ! [[ "${src}" =~ : ]]; then
+ for src in "${list[@]}"; do
+ # don't provide dependencies for files in PTXDIST_PLATFORMDIR.
+ if [ "${src}" == "${src#${PTXDIST_PLATFORMDIR}}" -a -n "${src}" ]; then
+ deprule="${deprule} ${src}"
+ fi
+ done
+ fi
if [ -n "${deprule}" ]; then
deprule="${ptx_state_dir}/${pkg_stamp}: \$(firstword \$(wildcard ${deprule}))"
# Make the deps rule robust for varying installation paths, and